
<!doctype html>
<html lang="en">




<head>
    <title>How to Setup  Peek Server as Master - Attune Automation</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport"
          content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="title"
          content="How to Setup  Peek Server as Master - Attune Automation">
    <meta name="description"
          content="Sets up the master node with a new `postgresql.conf` file.">
    <meta name="robots"
          content="follow, index, max-snippet:-1, max-video-preview:-1, max-image-preview:large">

    <meta property="og:locale" content="en_AU" />
    <meta property="og:type" content="article" />
    <meta property="og:title"
          content="HowTo Setup  Peek Server as Master - Attune Automation" />
    <meta property="og:description" content="Sets up the master node with a new `postgresql.conf` file." />
    <meta property="og:site_name" content="Attune Automation" />
    <meta property="article:section" content="IT Instruction" />

    <meta name="twitter:title"
          content="How to Setup  Peek Server as Master - Attune Automation" />
    <meta name="twitter:description" content="Sets up the master node with a new `postgresql.conf` file." />

    <link rel="icon" href="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-32x32.png" sizes="32x32">
    <link rel="icon" href="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-192x192.png" sizes="192x192">
    <link rel="apple-touch-icon" href="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-180x180.png">
    <meta name="msapplication-TileImage" content="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-270x270.png">
    <link rel="stylesheet"
          href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
          crossorigin="anonymous">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/prism/1.29.0/themes/prism-tomorrow.min.css">
    <link rel="stylesheet" href="../styles/style.css">

</head>


<body>

<!-- Project breadcrumbs -->

<!-- Project breadcrumbs -->
<nav aria-label="breadcrumb">
    <ol class="breadcrumb m-0">
        <li class="breadcrumb-item" aria-current="page">
            <a
                href="https://www.servertribe.com/"
                target="_blank">
                ServerTribe
            </a>
        </li>
        <li class="breadcrumb-item" aria-current="page">
            <a
                href="https://github.com/attune-Automation/"
                target="_blank">
                Attune Automation Projects
            </a>
        </li>
        <li class="breadcrumb-item">
            <a href="../index.html">
            Peek Warm Standby Attune Project
            </a>
        </li>
        <li class="breadcrumb-item active" aria-current="page">
            <strong>Setup  Peek Server as Master</strong>
        </li>
    </ol>
</nav>

<!-- Blueprint Header -->

<div class="container px-0">
    <!-- Blueprint name and description -->
    <div class="row pt-5">
        <div class="col px-0">
            <h1 class="text-left">
                How to Setup  Peek Server as Master
            </h1>
        </div>
    </div>

<!-- Blueprint Description -->
    <div class="row">
        <div class="blueprint-description col px-0">
            <p class="text-left">
                <p>Sets up the master node with a new <code>postgresql.conf</code> file.</p>
            </p>
        </div>
    </div>
    <div class="row pt-4">
        <div class="col-6 px-0">
            <h6 class="text-left">
                This documentation is generated by
                <a href="https://www.servertribe.com/"
                    class="badge badge-primary"
                    target="_blank">
                    Attune
                </a>
            </h6>
        </div>
        <div class="col-6 align-self-end text-right px-0">
            <h6 class="text-right">
                <a href="https://www.youtube.com/@servertribe"
                    class="badge badge-secondary"
                    target="_blank">
                    YouTube
                </a>
                <a href="https://github.com/Attune-Automation"
                    class="badge badge-secondary"
                    target="_blank">
                    GitHub
                </a>
                <a href="https://discord.com/invite/3YpJsagqUn"
                    class="badge badge-secondary"
                    target="_blank">
                    Discord
                </a>
                <a href="https://www.linkedin.com/company/servertribe/"
                    class="badge badge-secondary"
                    target="_blank">
                    LinkedIn
                </a>
                <a href="http://doc.servertribe.com/"
                    class="badge badge-secondary"
                    target="_blank">
                    Documentation
                </a>
            </h6>
        </div>
    </div>
    <hr>
</div>

<div class="documentation">
    <div class="container px-0">
        <div class="row">

<!-- Blueprint ToC -->


            <div class="col-lg-2 px-0 pr-5">
                <div class="container px-0 pt-3 sticky-top">
                    <h6 class="pb-2">
                        <strong>Contents</strong>
                    </h6>
                    <h6 class="text-muted">
                        <a href="#top">
                            <strong>Setup  Peek Server as Master</strong>
                        </a>
                    </h6>


    
        

                    <h6 class="text-muted pt-2">
                        <a href="#spsamcheckpgdata12existsonmaster">
                            <strong>Step 1 -</strong> SPSAM Check /pgdata/12 Exists on Master
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#spsampushpostgresqlconftomaster">
                            <strong>Step 2 -</strong> SPSAM Push postgresql.conf to Master
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#ssmremovestandbyfilesonmaster">
                            <strong>Step 3 -</strong> SSM Remove Standby Files on Master
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#spsamrestartpostgresql12master">
                            <strong>Step 4 -</strong> SPSAM Restart postgresql-12 Master
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#spsamcheckpostgresql12onmaster">
                            <strong>Step 5 -</strong> SPSAM Check postgresql-12 on Master
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#spsamenablepeekservicesonmaster">
                            <strong>Step 6 -</strong> SPSAM Enable Peek Services on Master
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#spsasrestartpeekonmaster">
                            <strong>Step 7 -</strong> SPSAS Restart Peek on Master
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#spsamcheckpeekserviceshavestartedonmaster">
                            <strong>Step 8 -</strong> SPSAM Check Peek Services have Started on Master
                        </a>
                    </h6>


                </div>
            </div>

<!-- Blueprint Contents -->
            <div class="col-lg-8 pt-3">
                <div class="container">


        <div class="blueprint-description jumbotron">
            <h2 class="display-3 text-center">
                Automate This
            </h2>
            <p class="lead text-center">
                Use the <strong>Attune GUI</strong> for your Scripts
            </p>
            <p class="lead">
                <ol>
                    <a href="https://www.servertribe.com/download-attune-registration/"
                        target="_blank">
                        <span class="badge badge-primary">1</span>
                        Download Attune
                        <i class="fa-solid fa-download fa-beat-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://github.com/attune-Automation/"
                        target="_blank">
                        <span class="badge badge-primary">2</span>
                         Copy the Attune Project URL
                         <i class="fa-brands fa-github fa-fade"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://servertribe-attune.readthedocs.io/en/latest/howto/design_workspace/clone_project.html"
                        target="_blank">
                        <span class="badge badge-primary">3</span>
                        Clone the Project in Attune
                         <i class="fa-solid fa-book fa-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://www.youtube.com/watch?v=GCWDI29rDV0"
                        target="_blank">
                        <span class="badge badge-primary">4</span>
                        Plan your Job(s)
                        <i class="fa-brands fa-youtube fa-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://www.youtube.com/watch?v=b7DhFcURkZg"
                        target="_blank">
                        <span class="badge badge-primary">5</span>
                        Run your Job(s)
                        <i class="fa-brands fa-youtube fa-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
            </p>
            <p class="lead text-center">
                You've automated: <strong>Setup  Peek Server as Master</strong>
            </p>
            <hr class="my-4 text-center">
            <div class="col px-0">
                <p class="text-center">
                    Get the most out of automation with our get started
                    videos, product demonstrations, and more.
                </p>
                <p class="lead text-center">
                    <a class="btn btn-primary btn-lg"
                       href="https://www.servertribe.com/learn/"
                       target="_blank"
                       role="button">
                        Learn Attune Automation
                    </a>
                </p>
            </div>
        </div>

        <div class="row">
            <p>The following steps will guide you through the manual process.</p>
        </div>

<!-- Blueprint Steps -->


        



                    <div class="row pt-5">
                        <h4 id="spsamcheckpgdata12existsonmaster">
                            <a href="#spsamcheckpgdata12existsonmaster">
                                <strong>Step 1 -</strong> SPSAM Check /pgdata/12 Exists on Master
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxrootuser}@{peekmasterserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
FOLDER=&quot;/pgdata/12&quot;

if [ -d &quot;${FOLDER}&quot; ]
then
    echo &quot;${FOLDER} already exists&quot;
else
    echo &quot;${FOLDER} doesn&#x27;t exist.&quot;
    cd ~{linuxStandbyPeekUser.user}
    mv -v pgdata/12 /pgdata
    rmdir pgdata
    ln -snv /pgdata .
fi
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="spsampushpostgresqlconftomaster">
                            <a href="#spsampushpostgresqlconftomaster">
                                <strong>Step 2 -</strong> SPSAM Push postgresql.conf to Master
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxmasterpeekuser}@{peekmasterserver}
                            </code>
                        </div>


    



    <div class="row">
        <p>
            
        </p>
        <p>
            Copy the File(s)
            <strong>Log_Shipping_postgresqlconf.tar</strong>
            to the target node.
        </p>
        <p>
        </p>
    </div>
    <div class="row py-1">
        <code class="language-bash">
{postgresqlDirectory}, relative to the home directory
        </code>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="ssmremovestandbyfilesonmaster">
                            <a href="#ssmremovestandbyfilesonmaster">
                                <strong>Step 3 -</strong> SSM Remove Standby Files on Master
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxrootuser}@{peekmasterserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
cd {postgresqlDirectory}

FILE=&quot;postgresql.auto.conf&quot;
[ ! -f &quot;${FILE}&quot; ] || rm -vf &quot;${FILE}&quot;

FILE=&quot;standby.signal&quot;
[ ! -f &quot;${FILE}&quot; ] || rm -vf &quot;${FILE}&quot;
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="spsamrestartpostgresql12master">
                            <a href="#spsamrestartpostgresql12master">
                                <strong>Step 4 -</strong> SPSAM Restart postgresql-12 Master
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
systemctl restart postgresql-12
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="spsamcheckpostgresql12onmaster">
                            <a href="#spsamcheckpostgresql12onmaster">
                                <strong>Step 5 -</strong> SPSAM Check postgresql-12 on Master
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxmasterpeekuser}@{peekmasterserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
systemctl status postgresql-12
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="spsamenablepeekservicesonmaster">
                            <a href="#spsamenablepeekservicesonmaster">
                                <strong>Step 6 -</strong> SPSAM Enable Peek Services on Master
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxrootuser}@{peekmasterserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
PEEK_SERVICES=( \
    &quot;peek_agent&quot;
    &quot;peek_field&quot; \
    &quot;peek_logic&quot; \
    &quot;peek_office&quot; \
    &quot;peek_worker&quot;
)

for SERVICE in ${PEEK_SERVICES[@]}
do
    if systemctl list-units | grep -i &quot;${SERVICE}&quot;
    then
        systemctl enable &quot;${SERVICE}&quot;
    else
        echo &quot;${SERVICE} does not exist, skipping&quot;
    fi
done
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="spsasrestartpeekonmaster">
                            <a href="#spsasrestartpeekonmaster">
                                <strong>Step 7 -</strong> SPSAS Restart Peek on Master
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxmasterpeekuser}@{peekmasterserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
restart_peek.sh
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="spsamcheckpeekserviceshavestartedonmaster">
                            <a href="#spsamcheckpeekserviceshavestartedonmaster">
                                <strong>Step 8 -</strong> SPSAM Check Peek Services have Started on Master
                            </a>
                        </h4>
                    </div>










    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
PEEK_SERVICES=( \
    &quot;peek_agent&quot;
    &quot;peek_field&quot; \
    &quot;peek_logic&quot; \
    &quot;peek_office&quot; \
    &quot;peek_worker&quot;
)

for SERVICE in ${PEEK_SERVICES[@]}
do
    if systemctl list-units | grep -i &quot;${SERVICE}&quot;
    then
        systemctl is-active &quot;${SERVICE}&quot;
    else
        echo &quot;${SERVICE} does not exist, skipping&quot;
    fi
done
                </code>
            </pre>
        </div>
    </div>






                    <div class="row pt-5">
                        <div class="col">
                            <h3>Completed</h3>
                            <p>
                                You have completed this instruction.
                            </p>
                        </div>
                    </div>
                </div>
            </div>

<!-- Download Attune Ad -->

            <div class="col-lg-2 px-0">
                <div class="container px-0 pt-3 pl-5 sticky-top">
                    <div class="card border-light mb-3" style="max-width: 18rem;">
                        <div class="card-body attune-ad">
                            <img
                                src="https://www.servertribe.com/wp-content/uploads/2022/06/AttuneLogoV2_powered_by.png"
                                alt="Attune - Powered by ServerTribe"
                                class="img-fluid">
                            <h5 class="card-title mt-3 text-center">
                                Automate with Attune
                            </h5>
                            <p class="card-text text-left">
                                Download the Attune Community Edition.
                            </p>
                            <p class="text-center">
                                <a href="https://www.servertribe.com/download-attune-registration/"
                                   class="btn btn-primary mt-3">
                                    DOWNLOAD!!!
                                </a>
                            </p>
                        </div>
                    </div>
                </div>
            </div>

        </div>

<!-- Join Discord -->

        <div class="row py-5">
            <div class="jumbotron">
                <h1 class="display-4 text-center">
                    Discuss this Instruction in Discord
                </h1>
                <p class="lead">

                    Join our Discord channel and connect with like-minded
                    individuals who
                    share your passion. Engage in lively discussions, gain
                    valuable insights,
                    and stay updated on the latest trends in our industry. Don't
                    miss out on
                    this opportunity to network, learn, and grow together.
                </p>
                <hr class="my-4 text-center">
                <div class="col px-0">
                    <p class="text-center">
                        Click the link below and become a part of our vibrant
                        community on
                        Discord today!
                    </p>
                    <p class="lead text-center">
                        <a class="btn btn-primary btn-lg"
                           href="https://discord.com/invite/3YpJsagqUn"
                           role="button">
                            Join NOW!!!
                        </a>
                    </p>
                </div>
            </div>
        </div>

    </div>
</div>


<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
<script
    src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js"
    integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
    crossorigin="anonymous"></script>
<script
    src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js"
    integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
    crossorigin="anonymous"></script>

<script
    src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/js/all.min.js"></script>

<script
    src="https://cdnjs.cloudflare.com/ajax/libs/prism/1.29.0/components/prism-core.min.js"></script>
<script
    src="https://cdnjs.cloudflare.com/ajax/libs/prism/1.29.0/plugins/autoloader/prism-autoloader.min.js"></script>


</body>
</html>
